=== modified file 'agent/tools/storage_test.go'
--- agent/tools/storage_test.go	2013-08-14 09:43:42 +0000
+++ agent/tools/storage_test.go	2013-08-19 13:29:56 +0000
@@ -18,8 +18,8 @@
 
 	"launchpad.net/juju-core/agent/tools"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	envtesting "launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'cmd/builddb/main.go'
--- cmd/builddb/main.go	2013-08-14 09:43:42 +0000
+++ cmd/builddb/main.go	2013-08-19 13:29:56 +0000
@@ -19,7 +19,7 @@
 
 // Import the providers.
 import (
-	_ "launchpad.net/juju-core/environs/provider/all"
+	_ "launchpad.net/juju-core/provider/all"
 )
 
 var logger = loggo.GetLogger("juju.builddb")

=== modified file 'cmd/juju/bootstrap.go'
--- cmd/juju/bootstrap.go	2013-08-13 19:07:35 +0000
+++ cmd/juju/bootstrap.go	2013-08-19 13:29:56 +0000
@@ -15,9 +15,9 @@
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider"
 	"launchpad.net/juju-core/environs/sync"
 	"launchpad.net/juju-core/errors"
+	"launchpad.net/juju-core/provider"
 	"launchpad.net/juju-core/utils/set"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'cmd/juju/bootstrap_test.go'
--- cmd/juju/bootstrap_test.go	2013-08-16 16:27:47 +0000
+++ cmd/juju/bootstrap_test.go	2013-08-19 13:29:56 +0000
@@ -14,9 +14,9 @@
 	"launchpad.net/juju-core/cmd"
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/environs/sync"
 	envtesting "launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'cmd/juju/cmd_test.go'
--- cmd/juju/cmd_test.go	2013-08-16 16:22:50 +0000
+++ cmd/juju/cmd_test.go	2013-08-19 13:29:56 +0000
@@ -11,9 +11,9 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/cmd"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/juju/osenv"
 	"launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/testing/checkers"
 )

=== modified file 'cmd/juju/main.go'
--- cmd/juju/main.go	2013-08-16 16:29:32 +0000
+++ cmd/juju/main.go	2013-08-19 13:29:56 +0000
@@ -12,7 +12,7 @@
 	"launchpad.net/juju-core/juju"
 
 	// Import the providers.
-	_ "launchpad.net/juju-core/environs/provider/all"
+	_ "launchpad.net/juju-core/provider/all"
 )
 
 var jujuDoc = `

=== modified file 'cmd/juju/main_test.go'
--- cmd/juju/main_test.go	2013-08-16 16:27:47 +0000
+++ cmd/juju/main_test.go	2013-08-19 13:29:56 +0000
@@ -20,8 +20,8 @@
 
 	"launchpad.net/juju-core/cmd"
 	"launchpad.net/juju-core/environs/config"
-	_ "launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/juju/osenv"
+	_ "launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'cmd/juju/synctools_test.go'
--- cmd/juju/synctools_test.go	2013-08-14 09:43:42 +0000
+++ cmd/juju/synctools_test.go	2013-08-19 13:29:56 +0000
@@ -11,9 +11,9 @@
 
 	"launchpad.net/juju-core/cmd"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/environs/sync"
 	envtesting "launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	coretesting "launchpad.net/juju-core/testing"
 )
 

=== modified file 'cmd/jujud/machine.go'
--- cmd/jujud/machine.go	2013-08-16 14:46:41 +0000
+++ cmd/jujud/machine.go	2013-08-19 13:29:56 +0000
@@ -14,12 +14,12 @@
 
 	"launchpad.net/juju-core/charm"
 	"launchpad.net/juju-core/cmd"
-	"launchpad.net/juju-core/environs/provider"
-	localstorage "launchpad.net/juju-core/environs/provider/local/storage"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju/osenv"
 	"launchpad.net/juju-core/log"
 	"launchpad.net/juju-core/names"
+	"launchpad.net/juju-core/provider"
+	localstorage "launchpad.net/juju-core/provider/local/storage"
 	"launchpad.net/juju-core/state"
 	"launchpad.net/juju-core/state/api/params"
 	"launchpad.net/juju-core/state/apiserver"

=== modified file 'cmd/jujud/machine_test.go'
--- cmd/jujud/machine_test.go	2013-08-14 09:43:42 +0000
+++ cmd/jujud/machine_test.go	2013-08-19 13:29:56 +0000
@@ -17,11 +17,11 @@
 	"launchpad.net/juju-core/cmd"
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/container/lxc"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	envtesting "launchpad.net/juju-core/environs/testing"
 	"launchpad.net/juju-core/errors"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/names"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	"launchpad.net/juju-core/state/api"
 	"launchpad.net/juju-core/state/api/params"

=== modified file 'cmd/jujud/main.go'
--- cmd/jujud/main.go	2013-08-16 16:22:50 +0000
+++ cmd/jujud/main.go	2013-08-19 13:29:56 +0000
@@ -15,7 +15,7 @@
 
 // Import the providers.
 import (
-	_ "launchpad.net/juju-core/environs/provider/all"
+	_ "launchpad.net/juju-core/provider/all"
 )
 
 var jujudDoc = `

=== modified file 'cmd/plugins/juju-metadata/metadata.go'
--- cmd/plugins/juju-metadata/metadata.go	2013-08-14 09:43:42 +0000
+++ cmd/plugins/juju-metadata/metadata.go	2013-08-19 13:29:56 +0000
@@ -8,8 +8,8 @@
 	"os"
 
 	"launchpad.net/juju-core/cmd"
-	_ "launchpad.net/juju-core/environs/provider/all"
 	"launchpad.net/juju-core/juju"
+	_ "launchpad.net/juju-core/provider/all"
 )
 
 var metadataDoc = `

=== modified file 'environs/boilerplate_config_test.go'
--- environs/boilerplate_config_test.go	2013-08-14 09:43:42 +0000
+++ environs/boilerplate_config_test.go	2013-08-19 13:29:56 +0000
@@ -8,8 +8,8 @@
 
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	_ "launchpad.net/juju-core/environs/provider/ec2"
-	_ "launchpad.net/juju-core/environs/provider/openstack"
+	_ "launchpad.net/juju-core/provider/ec2"
+	_ "launchpad.net/juju-core/provider/openstack"
 )
 
 type BoilerplateConfigSuite struct {

=== modified file 'environs/config_test.go'
--- environs/config_test.go	2013-08-16 16:27:47 +0000
+++ environs/config_test.go	2013-08-19 13:29:56 +0000
@@ -11,7 +11,7 @@
 
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider/dummy"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	jc "launchpad.net/juju-core/testing/checkers"
 )

=== modified file 'environs/emptystorage_test.go'
--- environs/emptystorage_test.go	2013-08-14 09:43:42 +0000
+++ environs/emptystorage_test.go	2013-08-19 13:29:56 +0000
@@ -9,8 +9,8 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/errors"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'environs/mongo_test.go'
--- environs/mongo_test.go	2013-08-14 09:43:42 +0000
+++ environs/mongo_test.go	2013-08-19 13:29:56 +0000
@@ -7,7 +7,7 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'environs/open_test.go'
--- environs/open_test.go	2013-08-14 09:43:42 +0000
+++ environs/open_test.go	2013-08-19 13:29:56 +0000
@@ -8,8 +8,8 @@
 
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/errors"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	"strings"
 )

=== modified file 'environs/sync/sync.go'
--- environs/sync/sync.go	2013-08-14 09:43:42 +0000
+++ environs/sync/sync.go	2013-08-19 13:29:56 +0000
@@ -17,7 +17,7 @@
 
 	"launchpad.net/juju-core/agent/tools"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/ec2"
+	"launchpad.net/juju-core/provider/ec2"
 	"launchpad.net/juju-core/utils"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'environs/sync/sync_test.go'
--- environs/sync/sync_test.go	2013-08-14 09:43:42 +0000
+++ environs/sync/sync_test.go	2013-08-19 13:29:56 +0000
@@ -13,9 +13,9 @@
 
 	"launchpad.net/juju-core/agent/tools"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/environs/sync"
 	envtesting "launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'environs/tools_test.go'
--- environs/tools_test.go	2013-08-14 09:43:42 +0000
+++ environs/tools_test.go	2013-08-19 13:29:56 +0000
@@ -9,9 +9,9 @@
 	"launchpad.net/juju-core/agent/tools"
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	envtesting "launchpad.net/juju-core/environs/testing"
 	"launchpad.net/juju-core/errors"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 	jc "launchpad.net/juju-core/testing/checkers"
 	"launchpad.net/juju-core/version"

=== modified file 'juju/apiconn_test.go'
--- juju/apiconn_test.go	2013-08-14 09:43:42 +0000
+++ juju/apiconn_test.go	2013-08-19 13:29:56 +0000
@@ -8,8 +8,8 @@
 
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/juju"
+	"launchpad.net/juju-core/provider/dummy"
 	coretesting "launchpad.net/juju-core/testing"
 )
 

=== modified file 'juju/conn_test.go'
--- juju/conn_test.go	2013-08-14 09:43:42 +0000
+++ juju/conn_test.go	2013-08-19 13:29:56 +0000
@@ -16,11 +16,11 @@
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/errors"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju"
 	"launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/testing/checkers"

=== modified file 'juju/testing/conn.go'
--- juju/testing/conn.go	2013-08-14 09:43:42 +0000
+++ juju/testing/conn.go	2013-08-19 13:29:56 +0000
@@ -15,10 +15,10 @@
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju"
 	"launchpad.net/juju-core/names"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	"launchpad.net/juju-core/state/api"
 	"launchpad.net/juju-core/testing"

=== renamed directory 'environs/provider' => 'provider'
=== modified file 'provider/all/all.go'
--- environs/provider/all/all.go	2013-08-14 09:43:42 +0000
+++ provider/all/all.go	2013-08-19 13:29:56 +0000
@@ -5,9 +5,9 @@
 
 // Register all the available providers.
 import (
-	_ "launchpad.net/juju-core/environs/provider/azure"
-	_ "launchpad.net/juju-core/environs/provider/ec2"
-	_ "launchpad.net/juju-core/environs/provider/local"
-	_ "launchpad.net/juju-core/environs/provider/maas"
-	_ "launchpad.net/juju-core/environs/provider/openstack"
+	_ "launchpad.net/juju-core/provider/azure"
+	_ "launchpad.net/juju-core/provider/ec2"
+	_ "launchpad.net/juju-core/provider/local"
+	_ "launchpad.net/juju-core/provider/maas"
+	_ "launchpad.net/juju-core/provider/openstack"
 )

=== modified file 'provider/dummy/config_test.go'
--- environs/provider/dummy/config_test.go	2013-08-16 16:22:50 +0000
+++ provider/dummy/config_test.go	2013-08-19 13:29:56 +0000
@@ -8,7 +8,7 @@
 
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	_ "launchpad.net/juju-core/environs/provider/dummy"
+	_ "launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/dummy/environs_test.go'
--- environs/provider/dummy/environs_test.go	2013-08-16 16:22:50 +0000
+++ provider/dummy/environs_test.go	2013-08-19 13:29:56 +0000
@@ -9,7 +9,7 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs/jujutest"
-	_ "launchpad.net/juju-core/environs/provider/dummy"
+	_ "launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/ec2/live_test.go'
--- environs/provider/ec2/live_test.go	2013-08-16 16:27:47 +0000
+++ provider/ec2/live_test.go	2013-08-19 13:29:56 +0000
@@ -17,11 +17,11 @@
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
 	"launchpad.net/juju-core/environs/jujutest"
-	"launchpad.net/juju-core/environs/provider/ec2"
 	envtesting "launchpad.net/juju-core/environs/testing"
 	"launchpad.net/juju-core/errors"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/ec2"
 	coretesting "launchpad.net/juju-core/testing"
 	jc "launchpad.net/juju-core/testing/checkers"
 )

=== modified file 'provider/ec2/local_test.go'
--- environs/provider/ec2/local_test.go	2013-08-16 16:27:47 +0000
+++ provider/ec2/local_test.go	2013-08-19 13:29:56 +0000
@@ -20,10 +20,10 @@
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/imagemetadata"
 	"launchpad.net/juju-core/environs/jujutest"
-	"launchpad.net/juju-core/environs/provider/ec2"
 	"launchpad.net/juju-core/environs/simplestreams"
 	envtesting "launchpad.net/juju-core/environs/testing"
 	"launchpad.net/juju-core/instance"
+	"launchpad.net/juju-core/provider/ec2"
 	"launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/utils"
 )

=== modified file 'provider/ec2/storage_test.go'
--- environs/provider/ec2/storage_test.go	2013-08-16 16:22:50 +0000
+++ provider/ec2/storage_test.go	2013-08-19 13:29:56 +0000
@@ -9,8 +9,8 @@
 
 	. "launchpad.net/gocheck"
 
-	"launchpad.net/juju-core/environs/provider/ec2"
 	"launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/ec2"
 	"launchpad.net/juju-core/version"
 )
 

=== modified file 'provider/local/config_test.go'
--- environs/provider/local/config_test.go	2013-08-16 14:46:41 +0000
+++ provider/local/config_test.go	2013-08-19 13:29:56 +0000
@@ -12,8 +12,8 @@
 	gc "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider"
-	"launchpad.net/juju-core/environs/provider/local"
+	"launchpad.net/juju-core/provider"
+	"launchpad.net/juju-core/provider/local"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/local/environ_test.go'
--- environs/provider/local/environ_test.go	2013-08-14 09:43:42 +0000
+++ provider/local/environ_test.go	2013-08-19 13:29:56 +0000
@@ -11,7 +11,7 @@
 	gc "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs/jujutest"
-	"launchpad.net/juju-core/environs/provider/local"
+	"launchpad.net/juju-core/provider/local"
 )
 
 type environSuite struct {

=== modified file 'provider/local/environprovider.go'
--- environs/provider/local/environprovider.go	2013-08-09 14:30:22 +0000
+++ provider/local/environprovider.go	2013-08-19 13:29:56 +0000
@@ -10,7 +10,7 @@
 
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/config"
-	constants "launchpad.net/juju-core/environs/provider"
+	constants "launchpad.net/juju-core/provider"
 	"launchpad.net/juju-core/utils"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'provider/local/environprovider_test.go'
--- environs/provider/local/environprovider_test.go	2013-08-14 09:43:42 +0000
+++ provider/local/environprovider_test.go	2013-08-19 13:29:56 +0000
@@ -8,7 +8,7 @@
 	"launchpad.net/loggo"
 
 	"launchpad.net/juju-core/container/lxc"
-	"launchpad.net/juju-core/environs/provider/local"
+	"launchpad.net/juju-core/provider/local"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/local/local_test.go'
--- environs/provider/local/local_test.go	2013-08-16 14:46:41 +0000
+++ provider/local/local_test.go	2013-08-19 13:29:56 +0000
@@ -9,8 +9,8 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs"
-	"launchpad.net/juju-core/environs/provider"
-	"launchpad.net/juju-core/environs/provider/local"
+	"launchpad.net/juju-core/provider"
+	"launchpad.net/juju-core/provider/local"
 	"launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/openstack/live_test.go'
--- environs/provider/openstack/live_test.go	2013-08-14 09:43:42 +0000
+++ provider/openstack/live_test.go	2013-08-19 13:29:56 +0000
@@ -12,8 +12,8 @@
 	"launchpad.net/goose/identity"
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/jujutest"
-	"launchpad.net/juju-core/environs/provider/openstack"
 	envtesting "launchpad.net/juju-core/environs/testing"
+	"launchpad.net/juju-core/provider/openstack"
 	coretesting "launchpad.net/juju-core/testing"
 )
 

=== modified file 'provider/openstack/local_test.go'
--- environs/provider/openstack/local_test.go	2013-08-16 16:27:47 +0000
+++ provider/openstack/local_test.go	2013-08-19 13:29:56 +0000
@@ -21,11 +21,11 @@
 	"launchpad.net/juju-core/environs"
 	"launchpad.net/juju-core/environs/imagemetadata"
 	"launchpad.net/juju-core/environs/jujutest"
-	"launchpad.net/juju-core/environs/provider/openstack"
 	"launchpad.net/juju-core/environs/simplestreams"
 	envtesting "launchpad.net/juju-core/environs/testing"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/openstack"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/version"
 )

=== modified file 'provider/openstack/provider_test.go'
--- environs/provider/openstack/provider_test.go	2013-08-16 16:22:50 +0000
+++ provider/openstack/provider_test.go	2013-08-19 13:29:56 +0000
@@ -11,7 +11,7 @@
 	"launchpad.net/goose/identity"
 	"launchpad.net/goose/nova"
 
-	"launchpad.net/juju-core/environs/provider/openstack"
+	"launchpad.net/juju-core/provider/openstack"
 )
 
 var live = flag.Bool("live", false, "Include live OpenStack tests")

=== modified file 'worker/firewaller/firewaller_test.go'
--- worker/firewaller/firewaller_test.go	2013-08-16 16:22:50 +0000
+++ worker/firewaller/firewaller_test.go	2013-08-19 13:29:56 +0000
@@ -11,9 +11,9 @@
 	. "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	coretesting "launchpad.net/juju-core/testing"
 	"launchpad.net/juju-core/worker"

=== modified file 'worker/provisioner/provisioner_test.go'
--- worker/provisioner/provisioner_test.go	2013-08-16 16:27:47 +0000
+++ worker/provisioner/provisioner_test.go	2013-08-19 13:29:56 +0000
@@ -14,11 +14,11 @@
 
 	"launchpad.net/juju-core/constraints"
 	"launchpad.net/juju-core/environs/config"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/errors"
 	"launchpad.net/juju-core/instance"
 	"launchpad.net/juju-core/juju/testing"
 	"launchpad.net/juju-core/names"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	"launchpad.net/juju-core/state/api/params"
 	coretesting "launchpad.net/juju-core/testing"

=== modified file 'worker/upgrader/upgrader_test.go'
--- worker/upgrader/upgrader_test.go	2013-08-14 09:43:42 +0000
+++ worker/upgrader/upgrader_test.go	2013-08-19 13:29:56 +0000
@@ -15,9 +15,9 @@
 	gc "launchpad.net/gocheck"
 
 	"launchpad.net/juju-core/agent/tools"
-	"launchpad.net/juju-core/environs/provider/dummy"
 	"launchpad.net/juju-core/errors"
 	jujutesting "launchpad.net/juju-core/juju/testing"
+	"launchpad.net/juju-core/provider/dummy"
 	"launchpad.net/juju-core/state"
 	"launchpad.net/juju-core/state/api"
 	statetesting "launchpad.net/juju-core/state/testing"

